local status, ts = pcall(require, 'nvim-treesitter.configs')
if (not status) then return end

ts.setup {
	ensure_installed = {
		'vim',
		'lua',
		'cmake',
		'cpp',
		'bash',
		'javascript',
		'typescript',
		'tsx',
		'json',
		'html',
		'pug',
		'vue',
		'css',
		'scss',
		'python',
		'dockerfile',
		'regex',
		'markdown',
		'yaml',
		'astro',
	},
	ignore_install = {},
	modules = {},
	sync_install = false,
	auto_install = true,
	autotag = { enable = true },
	highlight = {
		enable = true,
		disable =  {},
	},
	indent = {
		enable = true,
		disable = {}
	}
}
